Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class StaticPickList

`java.lang.Object
oracle.jdeveloper.html.HTMLFieldRendererImpl
oracle.jdeveloper.html.StaticPickList`

All Implemented Interfaces:
  HTMLFieldRenderer, HTMLRenderingContext, StaticPickListContext

Direct Known Subclasses:
  ListFieldEditRenderer, PickList

public class StaticPickList
extends HTMLFieldRendererImpl
implements StaticPickListContext

This class represents a Static PickList. It's data is provided by two string arrays, one for the labels and another for the prompts . It supports various renderings: combobox, listbox,radio group and checbox group.

Version:
  PUBLIC

Field Summary
`protected java.lang.String[]` | `aLabels`
`protected java.util.Hashtable` | `allvalues`
`protected java.lang.String[]` | `aValues`
`boolean` | `bUseLineBreaks`
`protected oracle.jdeveloper.html.ListIterator` | `iter`
`protected int` | `nType`
`protected java.lang.String` | `sQuery`
`static int` | `TYPE_CHECKBOX_GROUP`
`static int` | `TYPE_COMBOBOX`
`static int` | `TYPE_LISTBOX`
`static int` | `TYPE_RADIO_GROUP`
`protected java.util.Hashtable` | `values`

Fields inherited from class oracle.jdeveloper.html.HTMLFieldRendererImpl
`attrDef, ds, htmlAttributes, locale, page, sFormName, sPrompt`

Constructor Summary
`StaticPickList()` Constructs object.

Method Summary
`protected HTMLSelect` | `createHTMLSelect(boolean bMultiple)`
`protected HTMLElement` | `generateCheckBoxGroup()`
`protected HTMLElement` | `generateComboBox()`
`protected HTMLElement` | `generateListBox()`
`protected HTMLElement` | `generateRadioGroup()`
`int` | `getControlType()`
`protected java.lang.String` | `getRenderedString()`
`boolean` | `getUseLineBreaks()`
`protected void` | `prepareForMultiValueListGeneration()`
`java.lang.String` | `renderToString(Row row)` This method is called when the field renderers are being used from the Tag library and from the DataWebBeans.
`void` | `setControlType(int nType)`
`void` | `setControlType(java.lang.String sType)`
`void` | `setDataSource(java.lang.String[] labels, java.lang.String[] values)` Configures the source arrays for the prompts and values of the static picklist
`void` | `setUseLineBreaks(boolean bUseBreaks)`

Methods inherited from class oracle.jdeveloper.html.HTMLFieldRendererImpl
`getAttributeDef, getCSSClassName, getDatasource, getDisplayHeight, getDisplayWidth, getFieldName, getFormName, getHiddenFieldForValue, getHTMLValue, getHTMLValue, getMaxDataLength, getPageContext, getPromptText, getValue, lookup, setAttributeDef, setCSSClassName, setDatasource, setDisplayHeight, setDisplayWidth, setFieldName, setFormName, setHtmlAttributes, setMaxDataLength, setPageContext, setPromptText, setValue, setValueFromRow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jdeveloper.html.HTMLRenderingContext
`getFormName, getPromptText, setFormName, setPromptText`

Field Detail

### TYPE_COMBOBOX

    public static final int TYPE_COMBOBOX

  See Also:
    Constant Field Values

### TYPE_LISTBOX

    public static final int TYPE_LISTBOX

  See Also:
    Constant Field Values

### TYPE_CHECKBOX_GROUP

    public static final int TYPE_CHECKBOX_GROUP

  See Also:
    Constant Field Values

### TYPE_RADIO_GROUP

    public static final int TYPE_RADIO_GROUP

  See Also:
    Constant Field Values

### bUseLineBreaks

    public boolean bUseLineBreaks

### nType

    protected int nType

### sQuery

    protected java.lang.String sQuery

### values

    protected java.util.Hashtable values

### allvalues

    protected java.util.Hashtable allvalues

### aLabels

    protected java.lang.String[] aLabels

### aValues

    protected java.lang.String[] aValues

### iter

    protected oracle.jdeveloper.html.ListIterator iter

Constructor Detail

### StaticPickList

    public StaticPickList()

  Constructs object. Default rendering is combo box.

Method Detail

### setControlType

    public void setControlType(java.lang.String sType)

  Specified by:
    `setControlType` in interface `StaticPickListContext`

### setControlType

    public void setControlType(int nType)

  Specified by:
    `setControlType` in interface `StaticPickListContext`

### getControlType

    public int getControlType()

  Specified by:
    `getControlType` in interface `StaticPickListContext`

### setUseLineBreaks

    public void setUseLineBreaks(boolean bUseBreaks)

  Specified by:
    `setUseLineBreaks` in interface `StaticPickListContext`

### getUseLineBreaks

    public boolean getUseLineBreaks()

  Specified by:
    `getUseLineBreaks` in interface `StaticPickListContext`

### setDataSource

    public void setDataSource(java.lang.String[] labels,
                              java.lang.String[] values)

  Configures the source arrays for the prompts and values of the static picklist
  Specified by:
    `setDataSource` in interface `StaticPickListContext`

### prepareForMultiValueListGeneration

    protected void prepareForMultiValueListGeneration()

### createHTMLSelect

    protected HTMLSelect createHTMLSelect(boolean bMultiple)

### generateComboBox

    protected HTMLElement generateComboBox()

### generateListBox

    protected HTMLElement generateListBox()

### generateCheckBoxGroup

    protected HTMLElement generateCheckBoxGroup()

### generateRadioGroup

    protected HTMLElement generateRadioGroup()

### getRenderedString

    protected java.lang.String getRenderedString()

### renderToString

    public java.lang.String renderToString(Row row)

  Description copied from interface: `HTMLFieldRenderer`
  This method is called when the field renderers are being used from the Tag library and from the DataWebBeans.
  Specified by:
    `renderToString` in interface `HTMLFieldRenderer`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.